> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/rdm/it/knowledge-base/how-to-articles/broadcast-actions-in-ssh-sessions.md).

# Trasmettere azioni nelle sessioni SSH

Utilizzi le Broadcast actions in Remote Desktop Manager per inviare gli stessi comandi simultaneamente a più sessioni terminale SSH attive.

{% tabs %}
{% tab title="Windows" %}
{% embed url="<https://youtu.be/9FrSyzRvw30>" %}

In Remote Desktop Manager è possibile gestire due o più sessioni SSH attive con le ***Broadcast actions*** per inviare comandi su tutte le sessioni contemporaneamente.

{% hint style="info" %}
Potrebbe essere necessario un database aggiornato da un amministratore.
{% endhint %}

1. Apra almeno due sessioni SSH.
2. Faccia clic con il pulsante destro del mouse su una qualsiasi scheda SSH, faccia clic su ***Broadcast input***, quindi su ***Add to broadcast*** per aggiungere una sessione SSH.
3. È inoltre possibile selezionare tutte le sessioni SSH dell'elenco facendo clic su ***Manage broadcast***.
4. Ora può trasmettere i comandi su tutte le sessioni contemporaneamente.
5. Per rimuovere una sessione dal broadcast, può aprire la finestra ***Manage broadcast*** e deselezionare la sessione, oppure, nella specifica scheda SSH, fare clic con il pulsante destro del mouse per aprire il menu, fare clic su ***Broadcast input***, quindi su ***Remove from broadcast***.

Le azioni descritte sopra sono disponibili nella barra multifunzione di Remote Desktop Manager in ***Actions***.

| Broadcast all                       | Comportamento                                      |
| ----------------------------------- | -------------------------------------------------- |
| Nessuna voce in broadcast esistente | Aggiunge tutte le voci al broadcast.               |
| Voce/voci in broadcast esistenti    | Aggiunge qualsiasi voce non attualmente trasmessa. |
| Cambio di vista                     | Se abilitato, passa a una vista preconfigurata.    |

| **Remove all broadcasts** | Comportamento                                                                  |
| ------------------------- | ------------------------------------------------------------------------------ |
| Rimuovi                   | Rimuove tutte le voci dal broadcast se ve ne sono attualmente in trasmissione. |

#### Vedere anche

* [Devolutions Academy – Broadcast to multiple SSH Terminal sessions](https://academy.devolutions.net/student/page/3049140-broadcast-to-multiple-ssh-terminal-sessions?curriculum_activity_id=4958537\&path_id=2628397\&sid=c1b84389-9fdc-47b6-a5bb-72682278cd62\&sid_i=0)
  {% endtab %}

{% tab title="macOS" %}
In Remote Desktop Manager macOS è possibile gestire due o più sessioni SSH attive con le ***Broadcast actions*** per inviare comandi su tutte le sessioni contemporaneamente.

{% hint style="info" %}
Potrebbe essere necessario ***un database aggiornato*** da parte di un amministratore.
{% endhint %}

1\. Apra almeno due sessioni SSH.

2. Faccia clic con il pulsante destro del mouse su una qualsiasi scheda SSH, faccia clic su ***Broadcast input***, quindi su ***Add to broadcast*** per aggiungere una sessione SSH.
3. È inoltre possibile selezionare tutte le sessioni SSH dell'elenco facendo clic su ***Manage broadcast.***
4. Ora può trasmettere i comandi su tutte le sessioni contemporaneamente.
5. Per rimuovere una sessione dal broadcast, può aprire la finestra ***Manage broadcast*** e deselezionare la sessione, oppure, nella specifica scheda SSH, fare clic con il pulsante destro del mouse per aprire il menu, fare clic su ***Broadcast input***, quindi su ***Remove from broadcast***.

Le azioni descritte sopra sono disponibili nella barra multifunzione di Remote Desktop Manager in ***Actions***.

| Broadcast all                       | Comportamento                                      |
| ----------------------------------- | -------------------------------------------------- |
| Nessuna voce in broadcast esistente | Aggiunge tutte le voci al broadcast.               |
| Voce/voci in broadcast esistenti    | Aggiunge qualsiasi voce non attualmente trasmessa. |
| Cambio di vista                     | Se abilitato, passa a una vista preconfigurata.    |

| **Remove all broadcasts** | Comportamento                                                                  |
| ------------------------- | ------------------------------------------------------------------------------ |
| Rimuovi                   | Rimuove tutte le voci dal broadcast se ve ne sono attualmente in trasmissione. |

#### Vedere anche

* [Devolutions Academy – Broadcast to multiple SSH Terminal sessions](https://academy.devolutions.net/student/page/3049140-broadcast-to-multiple-ssh-terminal-sessions?curriculum_activity_id=4958537\&path_id=2628397\&sid=c1b84389-9fdc-47b6-a5bb-72682278cd62\&sid_i=0)
  {% endtab %}
  {% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/rdm/it/knowledge-base/how-to-articles/broadcast-actions-in-ssh-sessions.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
